this.name			= "adck_snark_conditions";
this.author			= "Montana05";
this.description	= "condition script for the GalCop Snark";
this.version		= "1.10";
this.copyright		= "2022 Montana05";
this.licence		= "CC BY-NC-SA 4.0";
"use strict";

this.allowSpawnShip = function(shipKey)
{
	var systemGov = system.government;
	
	// only undeveloped systems
	if(system.isInterstellarSpace || system.sun.isGoingNova || system.sun.hasGoneNova || system.techLevel > 6)
	{ 
		return false;
	};

	// Dictators OXP and Commies OXP got their own police force
	if((systemGov == 3 && worldScripts["dictators.js"]) || (systemGov == 4 && worldScripts["communist_population"]))
	{
		return false;
	};
	
	// otherwise available
	return true;
};